package llc.arma.ble.domain.usecase

import llc.arma.ble.domain.model.ConnectedBleInfo
import llc.arma.ble.domain.repository.BleRepository
import javax.inject.Inject

class GetConnectedBleDevices @Inject constructor(
    private val bleRepository: BleRepository
) {

    operator fun invoke(): List<ConnectedBleInfo>{
        return bleRepository.getConnectedBle()
    }

}